<template>
<div class="home-steps relative pt-64">
  <img class="bg-effect img-fluid" src="@/static/images/bg-effect-steps.png" alt="">
  <div class="container">
    <div class="row">
      <div class="col-12">
  <h1 class="mb-32">
    Ship your vehicle in 3 easy steps
  </h1>
  <div class="mb-32 steps-animation d-flex align-items-center justify-content-between ">
    <div class="home-step d-flex align-items-center pl-16 pr-16 pt-10 pb-10">
      <svg width="28" height="28" viewBox="0 0 28 28" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M4 12C4 8.22876 4 6.34315 5.17157 5.17157C6.34315 4 8.22876 4 12 4H16C19.7712 4 21.6569 4 22.8284 5.17157C24 6.34315 24 8.22876 24 12V13C24 15.8284 24 17.2426 23.1213 18.1213C22.2426 19 20.8284 19 18 19H10C7.17157 19 5.75736 19 4.87868 18.1213C4 17.2426 4 15.8284 4 13V12Z" stroke="#0060B7" stroke-width="2"/>
        <path d="M18 24H10" stroke="#0060B7" stroke-width="2" stroke-linecap="round"/>
        <path d="M14 19L14 24" stroke="#0060B7" stroke-width="2" stroke-linecap="round"/>
        <path d="M24 15H4" stroke="#0060B7" stroke-width="2" stroke-linecap="round"/>
      </svg>
      <p>
        Step 1
      </p>
    </div>
    <div class="steps-connector">
      <svg v-for="items in numberOfArrows" width="5" height="8" viewBox="0 0 5 8" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M1 1L4 4L1 7" stroke="white" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>

    </div>
    <div class="home-step d-flex align-items-center pl-16 pr-16 pt-10 pb-10">
      <svg width="28" height="28" viewBox="0 0 28 28" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="8.28571" cy="19.7144" r="2.28571" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        <circle cx="19.7144" cy="19.7144" r="2.28571" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
        <path d="M6.00007 20.4643C6.41428 20.4643 6.75007 20.1285 6.75007 19.7143C6.75007 19.3001 6.41428 18.9643 6.00007 18.9643V20.4643ZM3.71436 19.7143H2.96436C2.96436 20.1285 3.30014 20.4643 3.71436 20.4643V19.7143ZM15.1429 6H15.8929C15.8929 5.58579 15.5571 5.25 15.1429 5.25V6ZM14.3929 19.7143C14.3929 20.1285 14.7287 20.4643 15.1429 20.4643C15.5571 20.4643 15.8929 20.1285 15.8929 19.7143H14.3929ZM10.5715 18.9643C10.1573 18.9643 9.8215 19.3001 9.8215 19.7143C9.8215 20.1285 10.1573 20.4643 10.5715 20.4643V18.9643ZM17.4286 20.4643C17.8429 20.4643 18.1786 20.1285 18.1786 19.7143C18.1786 19.3001 17.8429 18.9643 17.4286 18.9643V20.4643ZM22.0001 18.9643C21.5859 18.9643 21.2501 19.3001 21.2501 19.7143C21.2501 20.1285 21.5859 20.4643 22.0001 20.4643V18.9643ZM24.2858 19.7143V20.4643C24.7 20.4643 25.0358 20.1285 25.0358 19.7143H24.2858ZM24.2858 12.8571H25.0358C25.0358 12.4429 24.7 12.1071 24.2858 12.1071V12.8571ZM15.1429 12.1071C14.7287 12.1071 14.3929 12.4429 14.3929 12.8571C14.3929 13.2714 14.7287 13.6071 15.1429 13.6071V12.1071ZM15.1429 6.39286C14.7287 6.39286 14.3929 6.72864 14.3929 7.14286C14.3929 7.55707 14.7287 7.89286 15.1429 7.89286V6.39286ZM20.8572 7.14286L21.5003 6.75699C21.3648 6.53108 21.1207 6.39286 20.8572 6.39286V7.14286ZM23.6427 13.243C23.8558 13.5982 24.3165 13.7134 24.6717 13.5003C25.0268 13.2872 25.142 12.8265 24.9289 12.4713L23.6427 13.243ZM6.00007 18.9643H3.71436V20.4643H6.00007V18.9643ZM4.46436 19.7143V7.14286H2.96436V19.7143H4.46436ZM4.46436 7.14286C4.46436 6.92589 4.64024 6.75 4.85721 6.75V5.25C3.81182 5.25 2.96436 6.09746 2.96436 7.14286H4.46436ZM4.85721 6.75H15.1429V5.25H4.85721V6.75ZM14.3929 6V19.7143H15.8929V6H14.3929ZM10.5715 20.4643H17.4286V18.9643H10.5715V20.4643ZM22.0001 20.4643H24.2858V18.9643H22.0001V20.4643ZM25.0358 19.7143V12.8571H23.5358V19.7143H25.0358ZM24.2858 12.1071H15.1429V13.6071H24.2858V12.1071ZM15.1429 7.89286H20.8572V6.39286H15.1429V7.89286ZM20.2141 7.52873L23.6427 13.243L24.9289 12.4713L21.5003 6.75699L20.2141 7.52873Z" fill="#0060B7"/>
      </svg>

      <p>
        Step 2
      </p>
    </div>
    <div class="home-step d-flex align-items-center pl-16 pr-16 pt-10 pb-10">
      <svg width="28" height="28" viewBox="0 0 28 28" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="14" cy="14" r="10" stroke="#0060B7" stroke-width="2"/>
        <path d="M10.5 14.5L12.5 16.5L17.5 11.5" stroke="#0060B7" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
      </svg>

      <p>
        Step 3
      </p>
    </div>
  </div>
        <div class="steps-text">
          <div class="mb-32">
          <h2>
            Quote & Reservation <span>(Step 1)</span>
          </h2>
          <p>
            Request a quote and make a reservation. You can do this by filling out our online form or contacting us directly at
            <a href="tel: '+1(865) 312-6670'">(865) 312-6670</a> . We'll need some information about your vehicle and the shipping destination to provide you with a detailed quote. Once you're happy with the quote, we'll require a small deposit to secure your spot on our schedule.
          </p>
          </div>
          <div class="mb-32">
          <h2>
            Vehicle Pick-Up <span>(Step 2)</span>
          </h2>
          <p>
            Once your reservation is confirmed, we will coordinate the pickup of your vehicle. Our team of expert drivers will arrive at the designated pickup location and carefully load your vehicle onto the trailer. We will also provide you with a detailed inspection report before and after pickup to ensure that your vehicle is in good condition.</p>
          </div>
          <div class="mb-32">
          <h2>
            Vehicle Delivery <span>(Step 3)</span>
          </h2>
          <p>Once your vehicle is loaded and on its way, we will provide you with regular updates on its progress. Our team will handle all the necessary paperwork and customs clearance to ensure a smooth and hassle-free delivery. When your vehicle reaches its destination, our team will unload it and perform another detailed inspection before releasing it to you.</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</template>

<script>
export default {
  name: "homeSteps",

  data() {
    return {
      numberOfArrows: 200
    }
  },

  mounted() {
    if(process?.client){
      if (window.innerWidth < 991) {
        this.numberOfArrows = 80
      } else if (window.innerWidth < 768) {
        this.numberOfArrows = 50
      } else if (window.innerWidth < 400) {
      this.numberOfArrows = 20
    }
    }
  }
}
</script>

<style scoped>

</style>
